"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = handleCollectRoute;

var _path = _interopRequireDefault(require("path"));

var _context = _interopRequireDefault(require("../context"));

var _getPackagePath = _interopRequireDefault(require("../utils/getPackagePath"));

var _getPackageRoute = _interopRequireDefault(require("../utils/getPackageRoute"));

var _transformMain = _interopRequireDefault(require("../utils/transformMain"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function handleCollectRoute() {
  var dwtConfig = _context["default"].dwtConfig,
      modules = _context["default"].dwtConfig.modules;
  var routes = modules.reduce(function (obj, module) {
    var packageInfo = require((0, _getPackagePath["default"])(module));

    return Object.assign(obj, (0, _getPackageRoute["default"])(packageInfo, module));
  }, {});

  if (!dwtConfig.routes) {
    dwtConfig.routes = routes;
  }
}