"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _colorPalette = _interopRequireDefault(require("../../bin/common/utils/colorPalette"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/* eslint-disable radix */

/* eslint-disable arrow-body-style */
// 将hex颜色转成rgb
function hexToRgba(hex) {
  var r = parseInt("0x".concat(hex.slice(1, 3)));
  var g = parseInt("0x".concat(hex.slice(3, 5)));
  var b = parseInt("0x".concat(hex.slice(5, 7)));
  return [r, g, b, 1];
}

var client = require('webpack-theme-color-replacer/client');

var _default = {
  primaryColor: '#3f51b5',
  changeColor: function changeColor(newColor, newColorTwo) {
    var lastColor = this.lastColor || this.primaryColor;
    var newColors = [(0, _colorPalette["default"])(newColor, 1), (0, _colorPalette["default"])(newColor, 2), (0, _colorPalette["default"])(newColor, 3), (0, _colorPalette["default"])(newColor, 4), (0, _colorPalette["default"])(newColor, 5), newColor, (0, _colorPalette["default"])(newColor, 7), (0, _colorPalette["default"])(newColor, 8), (0, _colorPalette["default"])(newColor, 9), (0, _colorPalette["default"])(newColor, 10), (0, _colorPalette["default"])(newColor, 7), // 左上角颜色
    hexToRgba((0, _colorPalette["default"])(newColor, 1)).join(','), // menu-item颜色
    hexToRgba((0, _colorPalette["default"])(newColor, 1)).join(',') // 左侧菜单menu-item颜色
    ];
    var options = {
      cssUrl: '/dis/theme-colors.css',
      // hash模式下用相对路径
      // oldColors: ['#3f51b5', '#303f9f'], // current colors array. The same as `matchColors`
      newColors: newColors // new colors array, one-to-one corresponde with `oldColors`

    };
    var promise = client.changer.changeColor(options);
    this.lastColor = lastColor;
    return promise;
  }
};
exports["default"] = _default;