"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

require("dwt-ui/lib/modal/style");

var _modal = _interopRequireDefault(require("dwt-ui/lib/modal"));

require("core-js/stable");

require("regenerator-runtime/runtime");

var _react = _interopRequireWildcard(require("react"));

var _reactDom = require("react-dom");

var _reactRouterDom = require("react-router-dom");

var _history = require("history");

var _asyncRouter = _interopRequireDefault(require("../{{ source }}/containers/util/asyncRouter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var MASTERS;
var confirm = _modal["default"].confirm;

function getMasters(component) {
  var injectObj = {
    AutoRouter: function AutoRouter() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require('{{ routesPath }}'));
      });
    }
  };

  if (!MASTERS) {
    var Cmp = (0, _asyncRouter["default"])(component, injectObj);
    MASTERS = Cmp;
  }

  return MASTERS;
}

var getConfirmation = function getConfirmation(message, callback) {
  confirm({
    className: 'dwt-iam-confirm-modal',
    title: message.split('__@.@__')[0],
    content: message.split('__@.@__')[1],
    onOk: function onOk() {
      callback(true);
    },
    onCancel: function onCancel() {
      callback(false);
    }
  });
};

var App = function App() {
  return /*#__PURE__*/_react["default"].createElement(_reactRouterDom.HashRouter, {
    hashHistory: _history.createBrowserHistory,
    getUserConfirmation: getConfirmation
  }, /*#__PURE__*/_react["default"].createElement(_reactRouterDom.Switch, null, /*#__PURE__*/_react["default"].createElement(_reactRouterDom.Route, {
    path: "/",
    component: {{ master }}
  })));
};

if (module.hot) {
  module.hot.accept();
}

(0, _reactDom.render)( /*#__PURE__*/_react["default"].createElement(App, null), document.getElementById('app'));