"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactRouterDom = require("react-router-dom");

var _reactRouterCacheRoute = _interopRequireWildcard(require("react-router-cache-route"));

var _transferIndex = require("./transfer.index.js");

var _asyncRouter = _interopRequireDefault(require("../{{ source }}/containers/util/asyncRouter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var routes = {};

function createRoute(path, component, moduleCode) {
  if (!routes[path]) {
    routes[path] = /*#__PURE__*/_react["default"].createElement(_reactRouterDom.Route, {
      path: path,
      component: /*#__PURE__*/_react["default"].lazy(component)
    });
  }

  return routes[path];
}

function createHome(path, component, homePath) {
  if (!routes[path]) {
    var Cmp = /*#__PURE__*/_react["default"].lazy( // eslint-disable-next-line no-nested-ternary
    homePath ? component : function () {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require('../{{ source }}/containers/home'));
      });
    });

    routes[path] = /*#__PURE__*/_react["default"].createElement(_reactRouterDom.Route, {
      exact: true,
      path: path,
      component: Cmp
    });
  }

  return routes[path];
}

var AutoRouter = function AutoRouter() {
  return /*#__PURE__*/_react["default"].createElement(_react.Suspense, {
    fallback: /*#__PURE__*/_react["default"].createElement("span", null)
  }, /*#__PURE__*/_react["default"].createElement(_reactRouterCacheRoute.CacheSwitch, null, {{ home }}, {{ routes }}, /*#__PURE__*/_react["default"].createElement(_reactRouterCacheRoute["default"], {
    path: "*",
    component: _transferIndex.nomatch
  })));
};

var _default = AutoRouter;
exports["default"] = _default;