"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getPackageRoute;

var _path = _interopRequireDefault(require("path"));

var _context = _interopRequireDefault(require("../context"));

var _transformMain = _interopRequireDefault(require("./transformMain"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function getPackageRoute(packageInfo) {
  var base = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '.';
  var modules = _context["default"].dwtConfig.modules;

  if (packageInfo) {
    var main = packageInfo.main,
        name = packageInfo.name,
        routeName = packageInfo.routeName;
    var rName = routeName || name;
    var rMain = base !== '.' ? main : (0, _transformMain["default"])(main);
    return _defineProperty({}, rName, _path["default"].join(base !== '.' ? '/node_modules' : '', base, rMain));
  }
}