"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

require("dwt-ui/lib/configure/style");

var _configure2 = _interopRequireDefault(require("dwt-ui/lib/configure"));

var _react = _interopRequireWildcard(require("react"));

var _constants = require("../../../common/constants");

var _common = require("../../../common");

var _UiAxios = _interopRequireDefault(require("../axios/UiAxios"));

var _themeColorClient = _interopRequireDefault(require("./themeColorClient"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return; var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var Masters = /*#__PURE__*/function (_Component) {
  _inherits(Masters, _Component);

  var _super = _createSuper(Masters);

  function Masters() {
    var _this;

    _classCallCheck(this, Masters);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));
    _this.state = {
      loading: true
    };

    _this.updateTheme = function (newPrimaryColor) {
      if (newPrimaryColor === 'undefined' || !newPrimaryColor) {
        _this.setState({
          loading: false
        });

        return;
      }

      var colorArr = newPrimaryColor.split(',');
      var c1;
      var c2;

      if (colorArr.length === 2) {
        var _colorArr = _slicedToArray(colorArr, 2);

        c1 = _colorArr[0];
        c2 = _colorArr[1];
      } else if (colorArr.length === 1) {
        // eslint-disable-next-line prefer-destructuring
        c1 = colorArr[0]; // eslint-disable-next-line prefer-destructuring

        c2 = colorArr[0];
      } else if (!colorArr.length) {
        return;
      }

      _themeColorClient["default"].changeColor(c1, c2)["finally"](function () {
        _this.setState({
          loading: false
        }); // eslint-disable-next-line no-console


        console.log("[dwt] Current Theme Color: ".concat(newPrimaryColor));
      });
    };

    _this.initUiConfigure = function () {
      var uiConfigure = _constants.UI_CONFIGURE || {};
      (0, _configure2["default"])(_objectSpread(_objectSpread({}, uiConfigure), {}, {
        axios: _UiAxios["default"],
        dataKey: 'list',
        labelLayout: 'float',
        queryBar: 'bar',
        tableBorder: false,
        lookupAxiosMethod: 'get',
        tableHighLightRow: false,
        tableRowHeight: 32,
        tableColumnResizable: false
      }));
    };

    return _this;
  }

  _createClass(Masters, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.initUiConfigure();
      this.updateTheme(_constants.CUSTOM_THEME_COLOR);
    }
  }, {
    key: "render",
    value: function render() {
      var loading = this.state.loading;

      if (loading) {
        return null;
      }

      var _this$props = this.props,
          AutoRouter = _this$props.AutoRouter,
          GuideRouter = _this$props.GuideRouter,
          UserMaster = _this$props.UserMaster;

      if (UserMaster) {
        return /*#__PURE__*/_react["default"].createElement(UserMaster, {
          AutoRouter: AutoRouter,
          dashboard: _common.dashboard,
          GuideRouter: GuideRouter
        });
      }

      return /*#__PURE__*/_react["default"].createElement("div", null, "\u8BF7\u786E\u4FDD\u6307\u5B9A\u4E86config.js\u4E2D\u7684master\u5B57\u6BB5\u3002");
    }
  }]);

  return Masters;
}(_react.Component);

var _default = Masters;
exports["default"] = _default;